/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Return_Address_Stack/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace prediction_unit {
namespace return_address_stack {


#undef  FUNCTION
#define FUNCTION "Return_Address_Stack::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Return_Address_Stack,FUNCTION,"Begin");

    Parameters_test test ("Return_Address_Stack");

    for (uint32_t i=0; i<_nb_context; i++)
      if (_size_queue [i] < 2)
	test.error("context \""+toString(i)+"\" :  size_queue must be > 2");
    
    log_printf(FUNC,Return_Address_Stack,FUNCTION,"End");

    return test;
  };

}; // end namespace return_address_stack
}; // end namespace prediction_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
